I am also getting the same issue while creating production build for a Sencha Touch app 2.2b2 SDK. Here are the versions I am using:

Ruby v1.9.3p327
CMD v3.1.0.256
Sencha Touch SDK v2.2.0-b2...